GET https://api.cryptohopper.com/v1/market/signals/{signal_id}/review

Meant to return the reviews of a signal provider. The reviews are included in GET /market/signals/{signal_id}.

OAuth scope: read manage About scopes

In the current code this request does not list reviews. It goes to the same handler as posting a review, without a review ID, so it tries to save an empty review: it fails unless you are subscribed to the signal and have not reviewed it yet, and otherwise creates an empty review with rating 0.1.

Example request

curl "https://api.cryptohopper.com/v1/market/signals/SIGNAL_ID/review" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
signal_id string Required Signal provider ID.

Response

The response is JSON. An example response for this endpoint is not documented yet.

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.